PDA

Visualizza la versione completa : problema con httpd apache 1.3.31


Pasco
20-06-2004, 16:37
ho deciso di aggiornare Apache 1.3.29 alla 1.3.31 , purtroppo non riesce a caricarmi alcuni moduli dinamici condivisi , ho seguito questa procedura nella fase di compilazione:



sh configure --enable-module=most --enable-shared=max \
--with-perl=/usr/bin/perl --enable-module=rewrite \
--enable-shared=rewrite

[...]

sudo make && sudo make install

[...]

sudo apachectl start

Syntax error on line 89 of /etc/httpd/httpd.conf:
API module structure `perl_module' in file /usr/libexec/httpd/libperl.so is
garbled - perhaps this is not an Apache module DSO?
/usr/sbin/apachectl start: httpd could not be started

:fagiano:


mi carica tutti i moduli ma quando arriva a perl_module o php5_module (nel file httpd.conf) mi sputa fuori quell'errore...

cosa ho sbagliato?

Pasco
20-06-2004, 23:21
ho provato a ricompilare la 1.3.29 e il discorso non cambiato :fagiano: , devo forse ricompilare i moduli esterni ad apache ?

Pasco
21-06-2004, 11:40
UP :quote:

sono disperato :stordita:

Loading